import {configureStore} from '@reduxjs/toolkit';
import userSlice from './users/users.slice';
import commentsSlice from './comments/comments.slice';

export const store = configureStore({
	reducer: {
		user: userSlice,
		comments: commentsSlice
	},
});

export type RootState = ReturnType<typeof store.getState>;
export type AppDispatch = typeof store.dispatch;
